Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class EmptyCommandProcessor

    java.lang.Object
      mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
          mx4j.tools.adaptor.http.EmptyCommandProcessor

All Implemented Interfaces:
  HttpCommandProcessor

public class EmptyCommandProcessor
extends HttpCommandProcessorAdaptor

EmptyCommandProcessor, returns an empty xml tree

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`builder, server`

Constructor Summary
`EmptyCommandProcessor()` Constructs a new EmptyCommandProcessor

Method Summary
`org.w3c.dom.Document` | `executeRequest(HttpInputStream in)` Executes an HTTP request.

Methods inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`setDocumentBuilder, setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyCommandProcessor

    public EmptyCommandProcessor()

  Constructs a new EmptyCommandProcessor

Method Detail

### executeRequest

    public org.w3c.dom.Document executeRequest(HttpInputStream in)
                                        throws java.io.IOException,
                                               javax.management.JMException

  Description copied from interface: `HttpCommandProcessor`
  Executes an HTTP request. It assumes the request is well formed

  Specified by:
    `executeRequest` in interface `HttpCommandProcessor`
  Specified by:
    `executeRequest` in class `HttpCommandProcessorAdaptor`
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.